Skip to main content
PUT
Update the user information

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

org_id
string<uuid>
required

The organization ID of the user's organization

user_id
string<uuid>
required

The user ID of the modified user

Body

application/json
external_user_id
string | null
role
enum<string> | null
Available options:
admin,
staff,
user,
guest
email
string<email> | null
first_name
string | null
last_name
string | null
street_and_number
string | null
street_add_info
string | null
zip_code
string | null
town
string | null
country
string | null
latitude
number | null
longitude
number | null
is_dashboard_user
boolean | null
language
string | null

Response

200 - application/json

OK

id
string<uuid>
required
organization_id
string<uuid>
required
role
enum<string>
required
Available options:
admin,
staff,
user,
guest
email
string
required
num_inverters
integer
required
num_heat_pumps
integer
required
num_electric_vehicles
integer
required
num_wallboxes
integer
required
external_user_id
string | null
first_name
string | null
last_name
string | null
is_onboarded
boolean | null
push_notifications_enabled
boolean
default:true
street_and_number
string | null
street_add_info
string | null
zip_code
string | null
town
string | null
country
string | null
latitude
number | null
longitude
number | null
language
string | null
last_login
string<date-time> | null
joined_at
string<date-time> | null